Bug 518446 - Review Request: moblin-panel-media - Moblin Panel for Media
Review Request: moblin-panel-media - Moblin Panel for Media
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 506825 513452
Blocks: FedoraMoblin20
  Show dependency treegraph
 
Reported: 2009-08-20 09:07 EDT by Peter Robinson
Modified: 2009-09-03 16:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 16:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-08-20 09:07:04 EDT
SPEC: http://pbrobinson.fedorapeople.org/moblin-panel-media.spec
SRPM: http://pbrobinson.fedorapeople.org/moblin-panel-media-0.0.1-1.fc11.src.rpm
koji: none at the moment due to dep on bickley. Built locally though.

Description:
The Moblin mutter panel for managing and playing media.
Comment 1 Michel Alexandre Salim 2009-08-21 19:11:44 EDT
Assigning this to myself; will do review once bickley lands.
Comment 2 Peter Robinson 2009-08-31 13:29:56 EDT
Added upstream patch for bognor-regis 0.4.10. Builds on my local build box.

SPEC: as above
SRPM: http://pbrobinson.fedorapeople.org/moblin-panel-media-0.0.1-2.fc11.src.rpm
Comment 3 Peter Robinson 2009-09-02 18:56:45 EDT
Ping?
Comment 4 Michel Alexandre Salim 2009-09-02 19:21:47 EDT
Hello, yes! Not forgotten, rest assured. Been a bit busy with other things. Full review in a couple of hours.
Comment 5 Michel Alexandre Salim 2009-09-03 00:18:57 EDT
APPROVED

Everything looks fine. Note the licensing question mark below, though.

Koji F-12 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1651516

MUST

OK rpmlint
OK package name
OK spec file name
OK package guideline-compliant
OK license complies with guidelines
OK license field accurate:
  assuming the + in GPLv2+ from other similar packages
  perhaps nag upstream to put license header in the source file, per
    GPL requirement

  (phew! I'm definitely starting to prefer the GPL-compatible CeCILL for my
   own work)

OK license file not deleted
OK spec in US English
OK spec legible
OK source matches upstream
OK builds under >= 1 archs, others excluded (Koji)
OK build dependencies complete
OK locales handled using %find_lang, no %{_datadir}/locale
OK own all directories
OK no dupes in %files
OK permission
OK %clean RPM_BUILD_ROOT
OK macros used consistently
OK Package contains code
OK clean buildroot before install
OK filenames UTF-8

SHOULD
FIXME if license text missing, ask upstream to include it
  license text not missing, but license header is
OK package build in mock on all architectures
? package functioned as described
  will take your word on it; setting it loose on a multi-gigabyte movie/music library is not recommended!
OK require package not files
Comment 6 Peter Robinson 2009-09-03 05:26:11 EDT
New Package CVS Request
=======================
Package Name: moblin-panel-media
Short Description: Moblin Panel for Media
Owners: pbrobinson
Branches: F-11
InitialCC:
Comment 7 Tom "spot" Callaway 2009-09-03 16:19:07 EDT
CVS done.
Comment 8 Peter Robinson 2009-09-03 16:56:27 EDT
Built and on its way to rawhide

Note You need to log in before you can comment on or make changes to this bug.